Draft Étiquette

From FreeCAD Documentation
Revision as of 08:45, 16 November 2018 by Luc (talk | contribs) (Created page with "==Utilisation==")

Draft Label

Menu location
Draft → Label
Workbenches
Draft, Arch
Default shortcut
D L
Introduced in version
-
See also
None

Description

Cet outil insère une étiquette, qui est un morceau de texte avec une ligne à 2 segments et une flèche, dans le document actif. Si un objet ou un sous-élément (face, arête ou sommet) est sélectionné lors du lancement de la commande, vous pouvez configurer le l'étiquette pour afficher automatiquement un certain attribut de l'élément sélectionné.

Utilisation

  1. Optionally, select an object or a subelement of an object (Vertex, edge or face)
  2. Press the Draft Label button, or press D then L keys
  3. Click a first point on the 3D view, or type a coordinate, to indicate the target point (arrow position). This can be anywhere, it doesn't need to be exactly on the selected element
  4. Click a second point on the 3D view, or type a coordinate, to indicate the middle point that is the start of the straight segment.
  5. Click a third point on the 3D view, or type a coordinate, to indicate the position of the text.

Options

  • Pressing CTRL will snap your point to available snap locations.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • The direction of the straight segment (right or left) will automatically justify the text left or right.

Properties

  • DonnéesLabel Type: The type of information shown by this label (see below)
  • DonnéesCustom Text: The text to display when Label Type is set to custom
  • DonnéesPlacement: Indicates the rotation and the position of the text
  • DonnéesStraight Distance: The length of the straight segment
  • DonnéesStraight Direction: The direction of the straight segment Horizontal or vertical
  • DonnéesTarget Point: The point indicated by this label
  • VueText Size: The size of the text
  • VueText Font: The font used for the text
  • VueText Alignment: The vertical alignment of the text: Top, middle or bottom
  • VueText Color: The color of the text
  • VueLine Width: The width of the line
  • VueLine Color: The color of the line
  • VueArrow Type: The type of the arrow: Dot, circle, arrow or tick.
  • VueArrow Size: The size of the arrow
  • VueFrame: Draws a frame around the text

Label types

  • Custom: Shows the contents of the Custom Text property
  • Name: Shows the name of the target object
  • Label: Shows the label of the target object
  • Position: Shows the coordinates of the target object (Placement base point), or the coordinates of the target vertex, if applicable, or the coordinates of the center of the target subelement (center of mass)
  • Length: Shows the length of the target subelement, if possible
  • Area: Shows the area of the target subelement, if possible
  • Volume: Shows the volume of the target object, if possible
  • Tag: Shows the tag value of the target object, if the target object has such property (which is the case of all Arch objects)
  • Material: Shows the label of the material of the target object, if the target object has such property

Scripting

The Text tool can by used in macros and from the python console by using the following function:

makeLabel(targetpoint=None,target=None,direction=None,distance=None,labeltype=None,placement=None)
  • Returns the newly created object.

Example:

import FreeCAD,Draft
selection = FreeCADGui.Selection.getSelectionEx()[0]
Draft.makeLabel(FreeCAD.Vector(10,-10,0),selection,"Horizontal",20,"Label")